at.chipkarte.client.muhi.soap

## Class IndividuellesBeschaeftigungsverbotRequest

- Object
- - at.chipkarte.client.muhi.soap.IndividuellesBeschaeftigungsverbotRequest

-     public class IndividuellesBeschaeftigungsverbotRequest
      extends Object

  Daten zum Erstellen eines individuellen Beschäftigungsverbots.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndividuellesBeschaeftigungsverbotRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBegruendung()` Code der Begründung des individuellen Beschäftigungsverbots.
    `String` | `getBegruendungVordatierung()` Begründung der Vordatierung (Freitext).
    `CommonMeldungRequestData` | `getCommonData()` Gemeinsame Daten von `AbsolutesBeschaeftigungsverbotRequest` und `IndividuellesBeschaeftigungsverbotRequest`.
    `Integer` | `getDauer()` Dauer des individuellen Beschäftigungsverbots (in Wochen).
    `Boolean` | `getKzDauerBisAbsolut()` Gibt an, dass das individuelle Beschäftigungsverbot endet, wenn das absolute beginnt.
    `Boolean` | `getKzVordatiert()` Gibt an, dass die Meldung vordatiert wurde, d. h. dass sie nicht mit dem aktuellen Datum beginnt, sondern erst mit dem ersten Tag der 16.
    `String` | `getZusatzbegruendung()` Zusätzliche Begründung (Freitext).
    `void` | `setBegruendung(String begruendung)`
    `void` | `setBegruendungVordatierung(String begruendungVordatierung)`
    `void` | `setCommonData(CommonMeldungRequestData commonData)`
    `void` | `setDauer(Integer dauer)`
    `void` | `setKzDauerBisAbsolut(Boolean kzDauerBisAbsolut)`
    `void` | `setKzVordatiert(Boolean vordatiert)`
    `void` | `setZusatzbegruendung(String zusatzbegruendung)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndividuellesBeschaeftigungsverbotRequest

          public IndividuellesBeschaeftigungsverbotRequest()

  - ### Method Detail

    - #### getCommonData

          public CommonMeldungRequestData getCommonData()

      Gemeinsame Daten von `AbsolutesBeschaeftigungsverbotRequest` und `IndividuellesBeschaeftigungsverbotRequest`.
      Returns:

    - #### setCommonData

          public void setCommonData(CommonMeldungRequestData commonData)

    - #### getKzVordatiert

          public Boolean getKzVordatiert()

      Gibt an, dass die Meldung vordatiert wurde, d. h. dass sie nicht mit dem aktuellen Datum beginnt, sondern erst mit dem ersten Tag der 16. Schwangerschaftswoche. Darf nur in der 15. Schwangerschaftswoche gesetzt sein.
      Angabe: Bedingt (Muss `true` sein, wenn `begründung Vordatierung` gesetzt ist).
      Returns:

    - #### setKzVordatiert

          public void setKzVordatiert(Boolean vordatiert)

    - #### getBegruendungVordatierung

          public String getBegruendungVordatierung()

      Begründung der Vordatierung (Freitext).
      Angabe: Bedingt (Muss bei Vordatierung, d.h. wenn `kzVordatiert` `true` ist, sonst nicht erlaubt).
      Format: max. 500 Zeichen.
      Returns:

    - #### setBegruendungVordatierung

          public void setBegruendungVordatierung(String begruendungVordatierung)

    - #### getDauer

          public Integer getDauer()

      Dauer des individuellen Beschäftigungsverbots (in Wochen). Das individuelle Beschäftigungsverbot endet üblicherweise mit Beginn des absoluten Beschäftigungsverbots. Dieses Feld ist nur gesetzt, wenn das individuelle Beschäftigungsverbot früher endet.
      Angabe: Bedingt (muss gesetzt sein, falls `KZ Dauer bis absolut` nicht `true` ist).
      Returns:

    - #### setDauer

          public void setDauer(Integer dauer)

    - #### getKzDauerBisAbsolut

          public Boolean getKzDauerBisAbsolut()

      Gibt an, dass das individuelle Beschäftigungsverbot endet, wenn das absolute beginnt.
      Angabe: Bedingt (muss `true` sein, wenn `Dauer` nicht gesetzt ist).
      Returns:

    - #### setKzDauerBisAbsolut

          public void setKzDauerBisAbsolut(Boolean kzDauerBisAbsolut)

    - #### getBegruendung

          public String getBegruendung()

      Code der Begründung des individuellen Beschäftigungsverbots.
      Mögliche Werte: siehe `GrundIndividuellesBeschaeftigungsverbotConstants`.
      Angabe: Muss.
      Returns:

    - #### setBegruendung

          public void setBegruendung(String begruendung)

    - #### getZusatzbegruendung

          public String getZusatzbegruendung()

      Zusätzliche Begründung (Freitext).
      Angabe: Bedingt (muss vor Beginn der 16. Schwangerschaftswoche, danach verboten. Darf bei Vordatierung nicht gesetzt sein).
      Format: max. 500 Zeichen.
      Returns:

    - #### setZusatzbegruendung

          public void setZusatzbegruendung(String zusatzbegruendung)